﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("New DateTimeColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 9)]
  public class AddNewDateTimeColumnCommand : AddNewColumnCommandBase {
    private AddNewDateTimeColumnCommand()
      : base(null, string.Empty, string.Empty, typeof(DateTimeColumn)) {
    }

    public AddNewDateTimeColumnCommand(DataSet dataSet, string columnGroupName)
      : this(dataSet, columnGroupName, "New DataTimeColumn") {
    }

    public AddNewDateTimeColumnCommand(DataSet dataSet, string columnGroupName, string columnName)
      : base(dataSet, columnGroupName, columnName, typeof(DateTimeColumn)) {
    }

    public override string Description {
      get { return "New DateTimeColumn"; }
    }
  }
}