﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("New DoubleColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 7)]
  public class AddNewDoubleColumnCommand : AddNewColumnCommandBase {
    private AddNewDoubleColumnCommand()
      : base(null, string.Empty, string.Empty, typeof(DoubleColumn)) {
    }

    public AddNewDoubleColumnCommand(DataSet dataSet, string columnGroupName)
      : this(dataSet, columnGroupName, "New DoubleColumn") {
    }

    public AddNewDoubleColumnCommand(DataSet dataSet, string columnGroupName, string columnName)
      : base(dataSet, columnGroupName, columnName, typeof(DoubleColumn)) {
    }

    public override string Description {
      get { return "New DoubleColumn"; }
    }
  }
}
