﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("New StringColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 8)]
  public class AddNewStringColumnCommand : AddNewColumnCommandBase {
    private AddNewStringColumnCommand()
      : base(null,string.Empty,string.Empty,typeof(StringColumn)) {
    }

    public AddNewStringColumnCommand(DataSet dataSet, string columnGroupName)
      : this(dataSet, columnGroupName, "New StringColumn") {
    }

    public AddNewStringColumnCommand(DataSet dataSet, string columnGroupName, string columnName)
      : base(dataSet, columnGroupName, columnName, typeof(StringColumn)) {
    }

    public override string Description {
      get { return "New StringColumn"; }
    }
  }
}
