﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Globalization;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("Change to DateTimeColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 13)]
  public class ChangeColumnToDateTimeColumnCommand : ChangeColumnCommandBase {
    private ChangeColumnToDateTimeColumnCommand()
      : base(null, string.Empty, null, typeof(DateTimeColumn)) {
    }

    public ChangeColumnToDateTimeColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
      : base(dataSet, columnGroupName, affectedColumns, typeof(DateTimeColumn)) {
    }

    public override string Description {
      get { return "Change to DateTimeColumn"; }
    }
  }
}
