﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Globalization;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("Change to DoubleColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 11)]
  public class ChangeColumnToDoubleColumnCommand : ChangeColumnCommandBase {
    private ChangeColumnToDoubleColumnCommand()
      : base(null, string.Empty, null, typeof(DoubleColumn)) {
    }

    public ChangeColumnToDoubleColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
      : base(dataSet, columnGroupName, affectedColumns, typeof(DoubleColumn)) {
    }

    public override string Description {
      get { return "Change to DoubleColumn"; }
    }
  }
}
