﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Globalization;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  [ViewableCommandInfoAttribute("Change to StringColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 12)]
  public class ChangeColumnToStringColumnCommand : ChangeColumnCommandBase {
    private ChangeColumnToStringColumnCommand()
      : base(null, string.Empty, null, typeof(StringColumn)) {
    }

    public ChangeColumnToStringColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
      : base(dataSet, columnGroupName, affectedColumns, typeof(StringColumn)) {
    }

    public override string Description {
      get { return "Change to StringColumn"; }
    }
  }
}
